<?php
/**
 * IMAP ACL Manipulation Plugin
 *
 * Copyright (c) 2003 Samuel Graenacher
 *
 * Licensed under the GNU GPL. For full terms see the file COPYING that came
 * with the Squirrelmail distribution.
 *
 * Written by Samuel Graenacher.
 * Developped for SM version 1.4.1
 *
 * For more licensing (and other) information, see the header of "imapacl.php"
 * $Id$
 */

if (!defined("SM_PATH"))
    define('SM_PATH','../../');
//include_once(SM_PATH . 'functions/i18n.php');
include_once(SM_PATH . 'functions/global.php');

$prevtdomain = textdomain(NULL);
$prevdomain = bindtextdomain('imapacl', SM_PATH . 'plugins/imapacl/locale');
textdomain('imapacl');

function squirrelmail_plugin_init_imapacl() {
    global $squirrelmail_plugin_hooks;
    $squirrelmail_plugin_hooks['optpage_register_block']['imapacl'] = 'imapacl_optpage_register_block';
}

function imapacl_optpage_register_block() {
    global $optpage_blocks;

     if (!defined("SM_PATH"))
        define('SM_PATH','../../');

    $prevdomain = textdomain(NULL);
    $prevdomainpath = bindtextdomain('imapacl', SM_PATH . 'plugins/imapacl/locale');
    textdomain('imapacl');

    $optpage_blocks[] = array(
        'name'  => _("IMAP Folder Acess Control"),
        'url'   => '../plugins/imapacl/folderlist.php',
        'desc'  => _("Edit permissions for other users on your folders. Edit with care!"),
        'js'    => false
    );

// Switch back to the SquirrelMail domain
    bindtextdomain($prevdomain, $prevdomainpath);
    textdomain($prevdomain);

}

function imapacl_version() {
    $lines = file('version');
    return $lines[1];
};

?>